Summary: Process monitoring utilities
Name: procps
Version: 1.2.7
Release: 5
Copyright: GPL
Group: Utilities/System
Source: ftp://tsx-11.mit.edu/pub/linux/sources/usr.bin/procps-1.2.7.tar.gz
Summary(fr): Utilitaires de surveillance des processus.
Summary(tr): Sre izleme aralar
Summary(de): Dienstprogramm zur Prozeberwachung
Packager: Frank Meurer <meurer@gmx.de>

%package X11
Group: X11/Utilities
Summary: X-based process monitoring utilities
Summary(fr): Utilitaires de surveillance des processus sous X
Summary(tr): X tabanl sre izleme aralar
Summary(de): Prozeberwachungs-Dienstprogramme fr X

%description
A package of utilities which report on the state of the system,
including the states of running processes, amount of memory available,
and currently-logged-in users.

%description X11
A package of X-based utilities which report on the state of the system.
These utilities generally provide graphical presentations of information
available from tools in the procps suite.

%description -l fr X11
Paquetage d'utilitaires X rapportant l'tat du systme. Ces utilitaires
offrent gnralement des reprsentations graphiques des informations
disponibles  partir d'outils de la suite procps.

%description -l fr
Paquetage d'utilitaires donnant des informations sur l'tat du systme,
dont les tats des processus en cours, le total de mmoire disponible,
et les utilisateurs loggs.

%description -l tr X11
Sistemin durumunu gsteren, X tabanl aralar. Bu aralar, genellikle
procps paketinde yer alan aralarla edinebileceiniz bilgileri grafik olarak
grntlerler.

%description -l tr
Sistemin durumunu rapor eden aralar paketidir. Koan srelerin durumunu,
kullanlabilir bellek miktarn, ve o an iin sisteme girmi kullanclar
bildirir.

%description -l de X11
Ein Utility-Paket auf X-Basis, die ber den Systemstatus orientieren. 
Dabei werden die von den Tools aus der procps-Suite gelieferten Daten 
n grafischer Weise dargestellt. 

%description -l de
Ein Paket mit Utilities, die den Status des Systems melden, 
einschlielich des Status laufender Prozesse, der Menge des 
verfgbaren Speicherplatzes und der momentan angemeldeten Benutzer. 

%changelog
* Thu Oct  4 2001 Frank Meurer <meurer@gmx.de>
- Linux/mac68k
- don't use xmkmf cause we build Linux from Scratch w/o X

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- updated binutils, so we need a new build...

* Thu Apr 23 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Apr 23 1998 Prospector System <bugs@redhat.com>
- translations modified for fr, tr

%prep
%setup

%build
#PATH=/usr/X11R6/bin:$PATH
make distclean
( cd proc; make SHARED=1 LIBVERSION=1.2.6; )

%ifarch m68k
make \
  CFLAGS="-m68030 -m68881 -fomit-frame-pointer -I. -Wall" \
  LDFLAGS=-s \
  SHARED=1 LIBVERSION=1.2.6 \
  ps uptime tload free w top vmstat watch psupdate skill
%else
make \
  CFLAGS="$RPM_OPT_FLAGS -I. -Wall" \
  LDFLAGS=-s \
  SHARED=1 LIBVERSION=1.2.6 \
  ps uptime tload free w top vmstat watch psupdate skill
%endif

%install
#make install
( cd proc; make SHARED=1 LIBVERSION=1.2.6 install; )
for f in \
  ps uptime tload free w top vmstat watch psupdate skill; \
  do make install_$f; done

# Since this is specific to Red Hat now, we'll leave this in the spec file.
# If others decide they like wmconfig, we'll move it to the install phase
# of the Makefile.
#install -m 644 -o 0 -g 0 top.wmconfig /etc/X11/wmconfig/top

#make -C xcpustate install.man
#make -C install.man
for f in \
  ps.1 uptime.1 tload.1 free.1 w.1 top.1 watch.1 psupdate.8 vmstat.8; \
  do make install_$f; done


# xcpustate doesn't need to be setuid
#if [ -x /usr/X11R6/bin/xcpustate ]; then
#	chmod 555 /usr/X11R6/bin/xcpustate
#fi

%post
# add libproc to the cache
/sbin/ldconfig
# ask ps to set up /etc/psdevtab if /proc is mounted
if [ -f /proc/uptime ] ; then
  /bin/ps </dev/null >/dev/null 2>&1
fi

%files
%doc NEWS BUGS TODO
/bin/ps
/lib/libproc.so.1.2.6
/usr/bin/free
/usr/bin/skill
/usr/bin/snice
/usr/bin/tload
/usr/bin/top
/usr/bin/uptime
/usr/bin/vmstat
/usr/bin/w
/usr/bin/watch
/usr/man/man1/free.1
/usr/man/man1/ps.1
/usr/man/man1/skill.1
/usr/man/man1/snice.1
/usr/man/man1/tload.1
/usr/man/man1/top.1
/usr/man/man1/uptime.1
/usr/man/man1/w.1
/usr/man/man1/watch.1
/usr/man/man8/psupdate.8
/usr/man/man8/vmstat.8
/usr/sbin/psupdate
%ifnarch m68k
/usr/bin/sessreg
/usr/man/man1/sessreg.1
%config(missingok) /etc/X11/wmconfig/top

%files X11
/usr/X11R6/bin/XConsole
/usr/X11R6/bin/xcpustate
/usr/X11R6/man/man1/xcpustate.1x
%endif
